/*******************************************************************************
* Device      : AD18E22X
* Author      : XAD SE Team
* Version     : V0.0.1
* Date        : 20220825
* Description : 系统外设驱动函数
********************************************************************************/

#ifndef __PERIPH_H__
#define __PERIPH_H__

#include "AD18E22X.h"
#include "Periph.h"

#define BIT(x)  (1<<x)
#define POUT(x,y) TRIS##x &= ~BIT(y)
#define PIN(x,y) TRIS##x |= BIT(y)




void GPIO_Init();
void Cmp0_Cfg(unsigned char Pch,unsigned char Nch,unsigned char Mode);
void Cmp1_Cfg(unsigned char Pch,unsigned char Nch,unsigned char Mode);


#endif