#include "AD18E22X.h"
#include <stdio.h>
#include <string.h>
#include "usart.h"
#include "periph.h"

void usart_init()
{
	TX_DIR=0; 
	TX_PIN=1;
	RX_DIR=1;
	RX_RU=1;
	UART_MUX=0;		//UART_MUX=0时PA1(TX)和PA2(RX)；UART_MUX=1时PC0(TX)和PC1(RX)
    UARTCON = 0x00;
	UARTCON = 0x80;
	SPBRG   = FSYS/(BAUD*64);	
	TX_EN = 1;
}

void putch(unsigned char tmp)
{
	while(!TXIF)continue;
	TXREG = tmp;
	TXIF = 0;
}

unsigned char getch(void)
{
	while(!RCIF)continue;
	RCIF = 0;
	return RCREG;
}