#include "periph.h"
/**************************************************
Funtion :GPIO初始化
Input   :None
Output  :None
***************************************************/
void GPIO_init(void)
{
     TRISA = 0X00;       //PA口设置为输出模式
     PA0PU = 1;          //PA0上拉关闭
     PA1PU = 1;          //PA1上拉关闭
     PA2PU = 1;          //PA2上拉关闭
     PA4PU = 1;          //PA4上拉关闭
     PA5PU = 1;          //PA5上拉关闭
     PAPD  = 0x3F;       //PA口下拉关闭
     PA0OD = 0;          //PA0 OD关闭
     PA1OD = 0;          //PA1 OD关闭
     PA2OD = 0;          //PA2 OD关闭
     PA4OD = 0;          //PA4 OD关闭
     PA5OD = 0;          //PA5 OD关闭
     TRISB = 0X00;       //PB口设置为输出模式
     PBPU  = 0x3F;       //PB口上拉关闭
     TRISC = 0X00;       //PC口设置为输出模式
     PCPU  = 0x7F;       //PC上拉关闭
     PC6=1;              //注：PC6在低功耗模式下需要关闭上拉并且输出高
     PC6PD = 1;          //PC6口下拉关闭  PC6控制PMOS时需要设置成输入模式，
                         //通过控制上下拉电阻1K实现PMOS开关，减少PMOS开关导致电源电压过充现象

}
/************************************************
Funtion :INTER初始化
Input   :None
Output  :None
************************************************/
void INTER_init(void)
{
    PBINTMASK=0X20; //PB5_配置为唤醒口
	TRISB5=1;
	PB5PU=0;		//PB5上拉打开
    PBIP=1;
    PBIF=0;
    PBIE=1;	
    IPEN=1;	 
    PEIE=1;  
    GIE=1;  

}