#include <stdio.h>
#include "AD18E22X.h"
#include "periph.h"
bit Adc_Succee=0;
void GPIO_Init(void)
{
     TRISA = 0X00;       //PA口设置为输出模式
     PA0PU = 1;          //PA0上拉关闭
     PA1PU = 1;          //PA1上拉关闭
     PA2PU = 1;          //PA2上拉关闭
     PA4PU = 1;          //PA4上拉关闭
     PA5PU = 1;          //PA5上拉关闭
     PAPD  = 0x3F;       //PA口下拉关闭
     PA0OD = 0;          //PA0 OD关闭
     PA1OD = 0;          //PA1 OD关闭
     PA2OD = 0;          //PA2 OD关闭
     PA4OD = 0;          //PA4 OD关闭
     PA5OD = 0;          //PA5 OD关闭
     TRISB = 0X00;       //PB口设置为输出模式
     PBPU  = 0x3F;       //PB口上拉关闭
     TRISC = 0X00;       //PC口设置为输出模式
     PCPU  = 0x7F;       //PC上拉关闭
     PC6=1;              //注：PC6在低功耗模式下需要关闭上拉并且输出高
     PC6PD = 1;          //PC6口下拉关闭  PC6控制PMOS时需要设置成输入模式，
                         //通过控制上下拉电阻1K实现PMOS开关，减少PMOS开关导致电源电压过充现象
}



unsigned short ADC_SampleFilter(void)
{
   unsigned char  j;
   unsigned short Volt       = 0;
   unsigned char  Time_Out   = 0;
 
   for(j = 0;j<=5;j++)
   {
          GO = 1;                         //A/D转换状态位
          Time_Out = 100;                 //设置超时时间
          while(GO)                       //A/D转换正在进行
          {
            Adc_Succee = 0;
            Time_Out--;              //等待超时
            if(Time_Out == 0)        //防止程序跑到这里死掉了
            {
                ADON = 0;         //除能A/D转换器模块
                GO = 0;           //清除转换标志
                ADON = 1;         //使能能A/D转换器模块
                GO = 1;           //清除转换标志
                Adc_Succee = 1;
                break;
            }
          }
   }
   if(Adc_Succee == 0)
   {
        Volt = (ADRESH<<8)|ADRESL;//读取ADC采集值
   }
   else
   {
        Volt = 0xFFFF;
   }
   return Volt;
}
/*

*/
void ADC_Config(void)
{
	TRISB1 = 1;PB1PU = 1;
	ADCON0 = 0X15;  //配置PB1为ADC采集通道，使能A/D模拟使能位
	ADCON1 = 0X79;  //参考电压选择VDD   A/D转换时钟选择FOSC/8
}
